package com.koko.drouter.sp

import com.didi.drouter.api.DRouter


val spService by lazy {
    DRouter.build(SpService::class.java).getService()
}

interface SpService {

    fun getBoolean(key: String): Boolean
    fun putBoolean(key: String, value: Boolean)

    fun getLong(key: String): Long
    fun putLong(key: String, value: Long)

    fun getInt(key: String): Int
    fun putInt(key: String, value: Int)

    fun getString(key: String): String
    fun putString(key: String, value: String)

}